import { defineComponent as x, toRefs as y, ref as C, computed as g, openBlock as o, createElementBlock as n, normalizeClass as p, unref as l, createElementVNode as u, renderSlot as $, createTextVNode as k, toDisplayString as m, createCommentVNode as A, Fragment as N, renderList as E } from "vue";
var R = /* @__PURE__ */ ((e) => (e.SUCCESS = "success", e.INFO = "info", e.DANGER = "danger", e.WARNING = "warning", e))(R || {}), I = /* @__PURE__ */ ((e) => (e.SMALL = "p-1.5 px-3 text-xs", e.MEDIUM = "py-2.5 px-3 text-xs", e.LARGE = "p-2 px-4 text-md", e.EXTRALARGE = "p-2.5 px-5 text-lg", e))(I || {}), S = /* @__PURE__ */ ((e) => (e.BOTH = "resize", e.NONE = "resize-none", e.HORIZONTAL = "resize-horizontal", e.VERTICAL = "resize-vertical", e))(S || {}), c = /* @__PURE__ */ ((e) => (e.PRIMARY = "primary", e.SECONDARY = "secondary", e.SUCCESS = "success", e.DANGER = "danger", e.WARNING = "warning", e.INFO = "info", e.LINK = "link", e))(c || {}), _ = /* @__PURE__ */ ((e) => (e.SQUARE = "square", e.WIDE = "wide", e.AUTO = "auto", e))(_ || {}), v = /* @__PURE__ */ ((e) => (e.DEFAULT = "default", e.PRIMARY = "primary", e.SECONDARY = "secondary", e))(v || {});
const M = { class: "ml-3 text-sm font-medium" }, D = /* @__PURE__ */ u("svg", {
  "aria-hidden": "true",
  class: "h-5 w-5",
  fill: "currentColor",
  viewBox: "0 0 20 20",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ u("path", {
    "fill-rule": "evenodd",
    d: "M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z",
    "clip-rule": "evenodd"
  })
], -1), O = [
  D
], ee = /* @__PURE__ */ x({
  __name: "Alert",
  props: {
    dismissable: { type: Boolean, default: !1 },
    text: { default: "" },
    type: { default: R.SUCCESS }
  },
  setup(e) {
    const d = e, { type: a } = y(d), t = C(""), r = () => {
      t.value = "opacity-0", setTimeout(() => {
        t.value = "hidden";
      }, 200);
    }, s = g(() => ({
      ["text-success bg-[#d4edda] border-[#c3e6cb]"]: a.value === R.SUCCESS,
      ["text-on-info bg-info border-[#d6d8db]"]: a.value === R.INFO,
      ["text-warning bg-[#fff3cd] border-[#ffecb5]"]: a.value === R.WARNING,
      ["text-danger bg-[#f8d7da] border-[#f5c2c7]"]: a.value === R.DANGER
    }));
    return (f, b) => (o(), n("div", {
      class: p(["mb-4 flex rounded-lg border p-4 transition-opacity duration-200", [t.value, l(s)]])
    }, [
      u("div", M, [
        $(f.$slots, "default", {}, () => [
          k(m(e.text), 1)
        ])
      ]),
      e.dismissable ? (o(), n("button", {
        key: 0,
        type: "button",
        class: "-mx-1.5 -my-1.5 ml-auto inline-flex rounded-lg p-1.5 text-[#155724]",
        "aria-label": "Close",
        onClick: r
      }, O)) : A("", !0)
    ], 2));
  }
}), te = /* @__PURE__ */ x({
  __name: "Badge",
  props: {
    type: { default: c.PRIMARY },
    label: { default: "" },
    rounded: { type: Boolean, default: !1 }
  },
  setup(e) {
    const d = e, { type: a, label: t, rounded: r } = y(d), s = g(() => ({
      "text-white bg-primary border-slate-500": a.value === c.PRIMARY,
      "text-on-info bg-info": a.value === c.INFO,
      "text-on-warning bg-warning": a.value === c.WARNING,
      "text-white bg-danger": a.value === c.DANGER,
      "text-on-success bg-success": a.value === c.SUCCESS,
      "text-on-secondary bg-secondary": a.value === c.SECONDARY,
      "rounded-full": r.value
    }));
    return (f, b) => (o(), n("div", {
      class: p(["leading-2 inline-block rounded p-0 px-1 text-xs font-bold", l(s)])
    }, m(l(t)), 3));
  }
}), ae = /* @__PURE__ */ x({
  __name: "Button",
  props: {
    label: { default: "" },
    size: { default: I.MEDIUM },
    outline: { type: Boolean, default: !1 },
    type: { default: c.PRIMARY },
    rounded: { type: Boolean, default: !1 }
  },
  setup(e) {
    const d = e, { size: a, outline: t, type: r, rounded: s } = y(d), f = g(() => ({
      [`${a.value}`]: !0,
      "text-primary bg-on-primary border border-primary hover:text-on-primary hover:bg-primary": t.value && r.value === c.PRIMARY,
      "text-on-primary bg-primary border border-on-primary": !t.value && r.value === c.PRIMARY,
      "text-primary": !t.value && r.value === c.LINK,
      "text-on-info bg-info border border-on-info": !t.value && r.value === c.INFO,
      "text-on-info border border-on-info hover:text-info hover:bg-on-info": t.value && r.value === c.INFO,
      "text-on-secondary bg-secondary": !t.value && r.value === c.SECONDARY,
      "text-secondary bg-on-secondary border border-secondary hover:text-on-secondary hover:bg-secondary": t.value && r.value === c.SECONDARY,
      "rounded-md": s.value,
      "bg-warning text-on-warning": !t.value && r.value === c.WARNING,
      "bg-on-warning text-warning border border-warning hover:bg-warning hover:text-on-warning": t.value && r.value === c.WARNING
    }));
    return (b, i) => (o(), n("button", {
      class: p(["duration-400 transition-all", l(f)])
    }, m(e.label), 3));
  }
}), Y = ["for"], V = ["type", "id", "placeholder"], re = /* @__PURE__ */ x({
  __name: "Input",
  props: {
    label: { default: "" },
    size: { default: I.MEDIUM },
    type: { default: "text" },
    id: { default: "" },
    placeholder: { default: "" },
    rounded: { type: Boolean, default: !1 },
    inline: { type: Boolean, default: !1 }
  },
  setup(e) {
    const d = e, { id: a, size: t, rounded: r, inline: s } = y(d), f = g(() => ({
      [`${t.value}`]: !0,
      rounded: r.value
    })), b = g(() => ({
      "flex-col": !s.value,
      "flex-row items-center gap-3": s.value
    })), i = a.value ? a.value : `id-${Math.random().toString(36).substring(2, 7)}`;
    return (w, h) => (o(), n("div", null, [
      u("div", {
        class: p(["flex", l(b)])
      }, [
        e.label ? (o(), n("label", {
          key: 0,
          class: "mb-1 cursor-pointer text-neutral-500",
          for: l(i)
        }, m(e.label), 9, Y)) : A("", !0),
        u("input", {
          class: p(["border border-gray-300 text-gray-500 focus:border-gray-300 focus:shadow-md focus:ring-0", l(f)]),
          type: e.type,
          id: l(i),
          placeholder: e.placeholder || e.label
        }, null, 10, V)
      ], 2)
    ]));
  }
}), L = { class: "flex items-center" }, U = ["checked"], B = {
  for: "default-checkbox",
  class: "ml-2 cursor-pointer text-sm font-medium text-gray-900"
}, le = /* @__PURE__ */ x({
  __name: "Checkbox",
  props: {
    type: { default: v.DEFAULT },
    label: null,
    rounded: { type: Boolean },
    modelValue: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: d }) {
    const a = e, { type: t, modelValue: r, rounded: s } = y(a), f = g(() => ({
      "bg-gray-100 border-gray-300 text-primary focus:ring-primary": t.value === v.PRIMARY,
      "text-orange-500 bg-gray-100 border-gray-300 focus:ring-orange-500 focus:ring-2": t.value === v.SECONDARY,
      rounded: s.value
    }));
    return (b, i) => (o(), n("div", L, [
      u("input", {
        id: "default-checkbox",
        onInput: i[0] || (i[0] = (w) => d("update:modelValue", !l(r))),
        checked: l(r),
        type: "checkbox",
        class: p(["h-4 w-4 cursor-pointer ring-0", l(f)])
      }, null, 42, U),
      u("label", B, m(e.label), 1)
    ]));
  }
}), G = ["checked", "value"], oe = /* @__PURE__ */ x({
  __name: "Radio",
  props: {
    type: { default: v.DEFAULT },
    label: null,
    modelValue: { default: "" },
    value: { default: "" },
    inline: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: d }) {
    const a = e, { type: t, modelValue: r, inline: s } = y(a), f = g(() => ({
      "bg-gray-100 border-gray-300 text-primary focus:ring-primary": t.value === v.PRIMARY,
      "text-orange-500 bg-gray-100 border-gray-300 focus:ring-orange-500 focus:ring-2": t.value === v.SECONDARY
    })), b = g(() => ({
      flex: !s.value,
      "inline-flex mr-3": s.value
    })), i = (h) => {
      d("update:modelValue", h.target.value);
    }, w = `id-${Math.random().toString(36).substring(2, 7)}`;
    return (h, Z) => (o(), n("div", {
      class: p(["items-center", l(b)])
    }, [
      u("input", {
        id: w,
        onInput: i,
        checked: l(r) === e.value,
        type: "radio",
        class: p(["h-4 w-4 cursor-pointer ring-0", l(f)]),
        value: e.value
      }, null, 42, G),
      u("label", {
        for: w,
        class: "ml-2 cursor-pointer text-sm font-medium text-gray-900"
      }, m(e.label), 1)
    ], 2));
  }
}), P = { class: "relative inline-flex cursor-pointer items-center" }, F = ["checked"], W = { class: "ml-2 text-sm font-medium text-gray-900 dark:text-gray-300" }, ne = /* @__PURE__ */ x({
  __name: "Switch",
  props: {
    type: { default: v.PRIMARY },
    label: null,
    modelValue: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: d }) {
    const a = e, { type: t, modelValue: r } = y(a), s = g(() => ({
      "peer-checked:bg-primary text-primary peer-focus:ring-0": t.value === v.PRIMARY,
      "text-secondary peer-checked:bg-secondary peer-focus:ring-0": t.value === v.SECONDARY
    }));
    return (f, b) => (o(), n("label", P, [
      u("input", {
        type: "checkbox",
        onInput: b[0] || (b[0] = (i) => d("update:modelValue", !l(r))),
        class: "peer sr-only",
        checked: l(r)
      }, null, 40, F),
      u("div", {
        class: p(["peer h-6 w-11 rounded-full bg-gray-100 after:absolute after:left-[2px] after:top-0.5 after:h-5 after:w-5 after:rounded-full after:border after:border-gray-300 after:bg-white after:transition-all after:content-[''] peer-checked:after:translate-x-full", l(s)])
      }, null, 2),
      u("span", W, m(e.label), 1)
    ]));
  }
}), z = {
  key: 0,
  class: "w-full border-b bg-neutral-50 p-3 text-center font-medium"
}, T = { class: "w-full text-center text-sm font-light" }, Q = { class: "border-b bg-neutral-50 font-medium" }, se = /* @__PURE__ */ x({
  __name: "Table",
  props: {
    items: { default: () => [] },
    headers: { default: () => [] },
    title: { default: "" },
    rounded: { type: Boolean, default: !1 }
  },
  setup(e) {
    const d = e, { items: a, headers: t, title: r, rounded: s } = y(d);
    return (f, b) => (o(), n("div", {
      class: p(["w-full overflow-hidden border shadow", { "rounded-lg": l(s) }])
    }, [
      l(r) ? (o(), n("div", z, m(l(r)), 1)) : A("", !0),
      u("table", T, [
        u("thead", Q, [
          u("tr", null, [
            (o(!0), n(N, null, E(l(t), (i) => (o(), n("th", {
              scope: "col",
              class: "px-6 py-4",
              key: i.key
            }, m(i.value), 1))), 128))
          ])
        ]),
        u("tbody", null, [
          (o(!0), n(N, null, E(l(a), (i, w) => (o(), n("tr", {
            class: p({
              "border-b": w + 1 < l(a).length
            }),
            key: i.id
          }, [
            (o(!0), n(N, null, E(l(t), (h) => (o(), n("td", {
              class: "whitespace-nowrap px-6 py-4",
              key: h.key
            }, [
              $(f.$slots, `item-${h.key}`, { item: i }, () => [
                k(m(i[h.key]), 1)
              ])
            ]))), 128))
          ], 2))), 128))
        ])
      ])
    ], 2));
  }
}), j = { class: "flex flex-col" }, q = ["for"], H = ["id", "placeholder", "rows"], ue = /* @__PURE__ */ x({
  __name: "TextArea",
  props: {
    label: { default: "" },
    size: { default: I.MEDIUM },
    id: { default: "" },
    placeholder: { default: "" },
    rows: { default: 5 },
    resize: { default: S.VERTICAL }
  },
  setup(e) {
    const d = e, { id: a } = y(d), t = a.value ? a.value : `id-${Math.random().toString(36).substring(2, 7)}`;
    return (r, s) => (o(), n("div", null, [
      u("div", j, [
        e.label ? (o(), n("label", {
          key: 0,
          class: "mb-1 cursor-pointer",
          for: l(t)
        }, m(e.label), 9, q)) : A("", !0),
        u("textarea", {
          class: p(["mb-2 rounded border border-gray-300 shadow-sm focus:border-indigo-500 focus:outline-none focus:ring-2 focus:ring-indigo-500", [e.size, e.resize]]),
          id: l(t),
          placeholder: e.placeholder || e.label,
          rows: e.rows
        }, null, 10, H)
      ])
    ]));
  }
}), K = { class: "font-lato" }, X = ["src", "alt"], de = /* @__PURE__ */ x({
  __name: "Thumbnail",
  props: {
    ratio: { default: _.SQUARE },
    caption: { default: "" },
    src: { default: "" },
    rounded: { type: Boolean, default: !1 },
    fullWidth: { type: Boolean, default: !1 }
  },
  setup(e) {
    const d = e, { ratio: a, rounded: t, fullWidth: r } = y(d), s = g(() => ({
      "aspect-square": a.value === _.SQUARE,
      "aspect-video": a.value === _.WIDE,
      "aspect-auto": a.value === _.AUTO,
      "rounded-lg": t.value,
      "object-cover": !r.value,
      "object-cover w-full": r.value
    })), f = g(() => ({
      "max-w-md": !r.value,
      "w-full": r.value,
      "rounded-lg": t.value
    }));
    return (b, i) => (o(), n("div", K, [
      u("figure", {
        class: p(["relative", l(f)])
      }, [
        u("img", {
          class: p(l(s)),
          src: e.src,
          alt: `Provided image not found: ${e.src}`
        }, null, 10, X),
        e.caption ? (o(), n("figcaption", {
          key: 0,
          class: p(["absolute inset-x-0 bottom-0 line-clamp-2 border-transparent bg-slate-300/25 px-4 py-1.5 transition-colors duration-200 hover:bg-slate-950/75 hover:text-white", { "rounded-b-lg border": l(t) }])
        }, m(e.caption), 3)) : A("", !0)
      ], 2)
    ]));
  }
});
export {
  ee as Alert,
  R as AlertType,
  _ as AspectRatio,
  te as Badge,
  ae as Button,
  c as ButtonType,
  le as Checkbox,
  v as CheckboxType,
  re as Input,
  I as InputSize,
  oe as Radio,
  S as Resizable,
  ne as Switch,
  se as Table,
  ue as TextArea,
  de as Thumbnail
};
